AbfsRestOperationType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.services, enum: AbfsRestOperationType

Package org.apache.hadoop.fs.azurebfs.services

# Enum Class AbfsRestOperationType

java.lang.Object
java.lang.Enum<AbfsRestOperationType>
org.apache.hadoop.fs.azurebfs.services.AbfsRestOperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<AbfsRestOperationType>`, `Constable`

public enum AbfsRestOperationType extends Enum<AbfsRestOperationType>
The REST operation type (Read, Append, Other ).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Append`
  `AppendBlock`
  `CheckAccess`
  `CopyBlob`
  `CreateContainer`
  `CreateFileSystem`
  `CreatePath`
  `DeleteBlob`
  `DeleteContainer`
  `DeleteFileSystem`
  `DeletePath`
  `Flush`
  `GetAcl`
  `GetBlob`
  `GetBlobProperties`
  `GetBlockList`
  `GetContainerProperties`
  `GetFileSystemProperties`
  `GetPathProperties`
  `GetPathStatus`
  `LeaseBlob`
  `LeasePath`
  `ListBlobs`
  `ListPaths`
  `PutBlob`
  `PutBlock`
  `PutBlockList`
  `ReadFile`
  `RenamePath`
  `SetAcl`
  `SetBlobMetadata`
  `SetContainerMetadata`
  `SetFileSystemProperties`
  `SetOwner`
  `SetPathProperties`
  `SetPermissions`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbfsRestOperationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbfsRestOperationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CreateFileSystem

    public static final AbfsRestOperationType CreateFileSystem

  - ### GetFileSystemProperties

    public static final AbfsRestOperationType GetFileSystemProperties

  - ### SetFileSystemProperties

    public static final AbfsRestOperationType SetFileSystemProperties

  - ### ListPaths

    public static final AbfsRestOperationType ListPaths

  - ### DeleteFileSystem

    public static final AbfsRestOperationType DeleteFileSystem

  - ### CreatePath

    public static final AbfsRestOperationType CreatePath

  - ### RenamePath

    public static final AbfsRestOperationType RenamePath

  - ### GetAcl

    public static final AbfsRestOperationType GetAcl

  - ### GetPathProperties

    public static final AbfsRestOperationType GetPathProperties

  - ### GetPathStatus

    public static final AbfsRestOperationType GetPathStatus

  - ### SetAcl

    public static final AbfsRestOperationType SetAcl

  - ### SetOwner

    public static final AbfsRestOperationType SetOwner

  - ### SetPathProperties

    public static final AbfsRestOperationType SetPathProperties

  - ### SetPermissions

    public static final AbfsRestOperationType SetPermissions

  - ### Append

    public static final AbfsRestOperationType Append

  - ### Flush

    public static final AbfsRestOperationType Flush

  - ### ReadFile

    public static final AbfsRestOperationType ReadFile

  - ### DeletePath

    public static final AbfsRestOperationType DeletePath

  - ### CheckAccess

    public static final AbfsRestOperationType CheckAccess

  - ### LeasePath

    public static final AbfsRestOperationType LeasePath

  - ### CreateContainer

    public static final AbfsRestOperationType CreateContainer

  - ### GetContainerProperties

    public static final AbfsRestOperationType GetContainerProperties

  - ### SetContainerMetadata

    public static final AbfsRestOperationType SetContainerMetadata

  - ### DeleteContainer

    public static final AbfsRestOperationType DeleteContainer

  - ### ListBlobs

    public static final AbfsRestOperationType ListBlobs

  - ### PutBlob

    public static final AbfsRestOperationType PutBlob

  - ### PutBlock

    public static final AbfsRestOperationType PutBlock

  - ### PutBlockList

    public static final AbfsRestOperationType PutBlockList

  - ### LeaseBlob

    public static final AbfsRestOperationType LeaseBlob

  - ### GetBlob

    public static final AbfsRestOperationType GetBlob

  - ### GetBlockList

    public static final AbfsRestOperationType GetBlockList

  - ### GetBlobProperties

    public static final AbfsRestOperationType GetBlobProperties

  - ### SetBlobMetadata

    public static final AbfsRestOperationType SetBlobMetadata

  - ### DeleteBlob

    public static final AbfsRestOperationType DeleteBlob

  - ### CopyBlob

    public static final AbfsRestOperationType CopyBlob

  - ### AppendBlock

    public static final AbfsRestOperationType AppendBlock

- ## Method Details

  - ### values

    public static AbfsRestOperationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbfsRestOperationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null